%define Name docbook-style-dsssl
%define Version 1.77

Name        	: %{Name}
Version     	: %{Version}
Release     	: 4mdk
Group       	: Publishing

Summary     	: Norman Walsh\'s modular stylesheets for DocBook.

License   	: Distributable
URL         	: http://sourceforge.net/projects/docbook/

Requires	: jade >= 1.2.1
Requires	: docbook-dtd-sgml
Prereq		: sgml-common >= 0.2
Prereq		: jade

BuildRoot   	: %{_tmppath}/%{name}-buildroot 

BuildArch	: noarch
Source0		: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{Version}.tar.bz2

%define sgmlbase %{_prefix}/share/sgml/ 

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%package doc
Summary         : Documentation for DocBook stylesheets
Group       	: Books/Computer books

%description doc
This package contains the documentation for these stylesheets:
structure, customization, etc.

%prep
%setup -n docbook-dsssl-%{Version}
%setup -T -D -n docbook-dsssl-%{Version}

%build


%install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_bindir}
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images

cd $RPM_BUILD_DIR/docbook-dsssl-%{Version}  

install bin/collateindex.pl $DESTDIR%{_bindir}
install catalog $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/
install dtds/decls/docbook.dcl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls/
install lib/dblib.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/
install VERSION $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/VERSION
install common/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/
install common/*.ent $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/
install html/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html/
install lib/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/
install print/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print/
install images/*.gif $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images/

ln -sf dsssl-stylesheets-%{Version} $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets

cd ..


%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc BUGS TODO README
%doc ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls/docbook.dcl
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/dblib.dsl
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/VERSION
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images/*
%{sgmlbase}/docbook/dsssl-stylesheets

%post
# remove possible old references to 
# %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
rm -f /etc/sgml/sgml-docbook-\*.cat
for centralized in /etc/sgml/sgml-docbook-*.cat; do
    sed -e "/dsssl-stylesheets-[0-9]/D" $centralized > \
	$centralized.bak 
    mv -f $centralized.bak $centralized
done 

for centralized in /etc/sgml/{x,sg}ml-docbook-*.cat; do
    %{_bindir}/xmlcatalog --sgml --noout --add $centralized \
	%{sgmlbase}/docbook/dsssl-stylesheets/catalog
done


%postun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in /etc/sgml/sgml-docbook-*.cat; do
	%{_bindir}/xmlcatalog --sgml --noout --del $centralized \
	    %{sgmlbase}/docbook/dsssl-stylesheets/catalog
    done 
fi


%changelog 
* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 
- add catalog to docbook xml too 

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.77-3mdk
- doc is a separate tarball, let split it out of that package, we don't need
  to upload all when only one is altered

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.77-2mdk
- fix doc subpackage group

* Tue Jul 16 2002 Camille Begnis <camille@mandrakesoft.com> 1.77-1mdk
- 1.77

* Tue Mar 21 2002 Camille Begnis <camille@mandrakesoft.com> 1.76-1mdk
- 1.76
- add crapy code in Post to remove buggy catalogs

* Mon Feb 21 2002 Camille Begnis <camille@mandrakesoft.com> 1.75-1mdk
- 1.75
- in catalogs now we assume only one dsssl stylesheet is installed

* Mon Dec 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.74b-1mdk
- 1.74b

* Thu Nov 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.74-1mdk
- 1.74

* Thu Oct 25 2001 Camille Begnis <camille@mandrakesoft.com> 1.73-1mdk
- 1.73

* Thu Aug 23 2001 Camille Begnis <camille@mandrakesoft.com> 1.72-1mdk
- 1.72
- Now on sourceforge

* Mon Apr 30 2001 Camille Begnis <camille@mandrakesoft.com> 1.64-1mdk
- 1.64

* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-4mdk
- Redirect install-catalog output to /dev/null

* Thu Feb 22 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-3mdk
- The last change was to add a link from %{sgmlbase}/docbook/dsssl-stylesheets
  to dsssl-stylesheets-%{Version} 

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-2mdk
- Add a 

* Tue Jan 30 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-1mdk
- 1.62

* Mon Jan 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.61-1mdk
- 1.61

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-2mdk
- remove management of openjade catalogs (why the hell it was here???)

* Wed Jan 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-1mdk
- 1.60

* Mon Nov 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.59-1mdk
- 1.59
- improve upgrading scripts

* Wed Aug 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.57-1mdk
- 1.57

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-3mdk
- Prereq : sgml-common >= 0.2

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-2mdk
- install openjade's catalog, not jade's

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
